Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.emf.ecp.diffmerge.spi.context
Class DiffMergeContextFactory

    java.lang.Object
      org.eclipse.emf.ecp.diffmerge.spi.context.DiffMergeContextFactory

    public final class DiffMergeContextFactory

extends Object

This Factory can be used to instantiate `DiffMergeModelContexts`.

Author:
  Eugen Neufeld

Field Summary
`static DiffMergeContextFactory` | `INSTANCE` The singleton instance of the factory.

Method Summary
`DiffMergeModelContext` | `createViewModelContext(VElement view, org.eclipse.emf.ecore.EObject target, org.eclipse.emf.ecore.EObject left, org.eclipse.emf.ecore.EObject right)` Instantiates a new view model context.
`DiffMergeModelContext` | `createViewModelContext(VElement view, org.eclipse.emf.ecore.EObject target, org.eclipse.emf.ecore.EObject left, org.eclipse.emf.ecore.EObject right, Set<VDomainModelReference> mergedControls)` Instantiates a new view model context.
`DiffMergeModelContext` | `createViewModelContext(VElement view, org.eclipse.emf.ecore.EObject target, org.eclipse.emf.ecore.EObject left, org.eclipse.emf.ecore.EObject right, Set<VDomainModelReference> mergedControls, ViewModelService... modelServices)` Instantiates a new view model context with specific services.
`DiffMergeModelContext` | `createViewModelContext(VElement view, org.eclipse.emf.ecore.EObject target, org.eclipse.emf.ecore.EObject left, org.eclipse.emf.ecore.EObject right, ViewModelService... modelServices)` Instantiates a new view model context with specific services.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### INSTANCE

    public static final DiffMergeContextFactory INSTANCE

  The singleton instance of the factory.

Method Detail

### createViewModelContext

    public DiffMergeModelContext createViewModelContext(VElement view,
                                                        org.eclipse.emf.ecore.EObject target,
                                                        org.eclipse.emf.ecore.EObject left,
                                                        org.eclipse.emf.ecore.EObject right)

  Instantiates a new view model context.

  Parameters:
    `view` - the view
    `target` - the domain object
    `left` - the first object
    `right` - the second object
  Returns:
    the created `DiffMergeModelContext`

### createViewModelContext

    public DiffMergeModelContext createViewModelContext(VElement view,
                                                        org.eclipse.emf.ecore.EObject target,
                                                        org.eclipse.emf.ecore.EObject left,
                                                        org.eclipse.emf.ecore.EObject right,
                                                        ViewModelService... modelServices)

  Instantiates a new view model context with specific services.

  Parameters:
    `view` - the view
    `target` - the domain object
    `left` - the first object
    `right` - the second object
    `modelServices` - an array of services to use in the `DiffMergeModelContext`
  Returns:
    the created `DiffMergeModelContext`

### createViewModelContext

    public DiffMergeModelContext createViewModelContext(VElement view,
                                                        org.eclipse.emf.ecore.EObject target,
                                                        org.eclipse.emf.ecore.EObject left,
                                                        org.eclipse.emf.ecore.EObject right,
                                                        Set<VDomainModelReference> mergedControls)

  Instantiates a new view model context.

  Parameters:
    `view` - the view
    `target` - the domain object
    `left` - the first object
    `right` - the second object
    `mergedControls` - the set of already merged domain references
  Returns:
    the created `DiffMergeModelContext`

### createViewModelContext

    public DiffMergeModelContext createViewModelContext(VElement view,
                                                        org.eclipse.emf.ecore.EObject target,
                                                        org.eclipse.emf.ecore.EObject left,
                                                        org.eclipse.emf.ecore.EObject right,
                                                        Set<VDomainModelReference> mergedControls,
                                                        ViewModelService... modelServices)

  Instantiates a new view model context with specific services.

  Parameters:
    `view` - the view
    `target` - the domain object
    `left` - the first object
    `right` - the second object
    `mergedControls` - the set of already merged domain references
    `modelServices` - an array of services to use in the `DiffMergeModelContext`
  Returns:
    the created `DiffMergeModelContext`

Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015. All Rights Reserved.